%define name eXist
%define version 1.2.6
%define rversion 9165
%define release %mkrel 4

Summary: Open source database management system built using XML technology
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-setup-%{version}-rev%{rversion}.jar

License: GPL
Group: System/Cluster
Url: http://exist-db.org/
BuildRoot: %{_tmppath}/%{name}-%version-%{rversion}-%{release}-buildroot
BuildRequires: java-devel
requires: antlr jakarta-commons-logging jakarta-commons-collections jakarta-commons-pool
#requires: geronimo-jta-1.0.1B-api 
requires: log4j sunxacml xmldb-api
requires: dixi-main-jardeps
requires: xml-commons-resolver12
BuildArch: noarch

%description
eXist-db is an open source database management system built using XML technology.
It stores XML data according to the XML data model and features efficient,
index-based XQuery processing.

%prep
rm -rf $RPM_BUILD_DIR/%name-%version
mkdir $RPM_BUILD_DIR/%name-%version
java -jar %{SOURCE0} -Djava.awt.headless=true -p $RPM_BUILD_DIR/%name-%version

%build
cd $RPM_BUILD_DIR/%name-%version
%ant

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} %{buildroot}%{_javadir}/%name
cd $RPM_BUILD_DIR/%name-%version
cp -a bin %{buildroot}%{_javadir}/%name/
cp -a webapp %{buildroot}%{_javadir}/%name/
cp -a start.jar %{buildroot}%{_javadir}/%name/
cp -a exist-optional.jar %{buildroot}%{_javadir}/%name/
cp -a exist.jar %{buildroot}%{_javadir}/%name/
cp -a exist-fluent.jar %{buildroot}%{_javadir}/%name/

cp -av lib/core/xmlrpc-common*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/core/xmlrpc-client*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/core/xmlrpc-server*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/core/quartz*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/endorsed/xercesImpl*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/endorsed/resolver*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/endorsed/serializer*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/endorsed/xalan*.jar %{buildroot}%{_javadir}/%name/
cp -av lib/extensions/exist-ngram-module.jar %{buildroot}%{_javadir}/%name/
cp -av lib/extensions/exist-modules.jar %{buildroot}%{_javadir}/%name/

# add links to required .jars
pushd %{buildroot}%{_javadir}/%name
ln -sf xmlrpc-common*.jar xmlrpc-common.jar
ln -sf xmlrpc-client*.jar xmlrpc-client.jar
ln -sf xmlrpc-server*.jar xmlrpc-server.jar
ln -sf quartz*.jar quartz.jar
ln -sf xercesImpl*.jar xercesImpl.jar
ln -sf resolver*.jar resolver.jar
ln -sf serializer*.jar serializer.jar
ln -sf xalan*.jar xalan.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/%name/*
